Overview of changes in Hitori 44.0
==================================

* Remove GNOME branding as it’s not an official GNOME game any more

* Bugs fixed:
  - !39 Update (or drop) the Docker image used by Flatpak job
  - !40 data: Remove GNOME branding
  - !41 build: Post-branch version bump
  - !43 flatpak: Fix the branch name for building the flatpaks

* Translation updates:
  - Abkhazian (Nart Tlisha)
  - Basque (Asier Sarasua Garmendia)
  - Belarusian (Vasil Pupkin)
  - Bulgarian (Alexander Shopov)
  - Czech (Marek Černocký)
  - Finnish (Jiri Grönroos)
  - French (Charles Monzat)
  - Friulian (Fabio Tomat)
  - Galician (Fran Dieguez)
  - Georgian (Zurab Kargareteli)
  - German (Jürgen Benvenuti)
  - Hebrew (Yosef Or Boczko)
  - Hungarian (Balázs Úr)
  - Indonesian (Kukuh Syafaat)
  - Lithuanian (Aurimas Černius)
  - Occitan (post 1500) (Quentin PAGÈS)
  - Portuguese (Hugo Carvalho)
  - Russian (Aleksandr Melman)
  - Slovenian (Matej Urbančič)
  - Spanish (Daniel)
  - Swedish (Anders Jonsson)
  - Turkish (Sabri Ünal)
  - Ukrainian (Yuri Chornoivan)


Overview of changes in Hitori 3.38.4
====================================

* Initial support for playing the game with a keyboard

* Bugs fixed:
 - !34 Make game playable with keyboard (bare minimum)
 - !35 build: Drop positional arguments from i18n.merge_file() calls
 - !36 interface: Fix a minor leak
 - !37 snap: Add itstool to image
 - !38 Move appdata screenshot to git

* Translation updates:
 - Abkhazian
 - Chinese (China)
 - Indonesian
 - Occitan (post 1500)
 - Russian


Overview of changes in Hitori 3.38.3
====================================

* Bugs fixed:
 - !30 docs: Document renaming of master branch to main
 - !31 appdata: Update OARS ratings from 1.0 to 1.1 and add requires/recommends data
 - !33 Update Occitan locale

* Translation updates:
 - Occitan (post 1500)


Overview of changes in Hitori 3.38.2
====================================

* Bugs fixed:
 - !28 help: Add Hitori icon as SVG
 - !29 appdata: Fix project license

* Translation updates:
 - Basque
 - Catalan
 - Czech
 - French
 - German
 - Hungarian
 - Polish
 - Romanian
 - Spanish
 - Swedish
 - Ukrainian


Overview of changes in Hitori 3.38.1
====================================

* Translation updates:
 - English (United Kingdom)
 - French
 - Friulian
 - Galician
 - Greek, Modern (1453-)
 - Hebrew
 - Italian
 - Latvian
 - Polish
 - Slovak


Overview of changes in Hitori 3.38.0
====================================

* Translation updates:
 - Danish
 - Hungarian
 - Japanese
 - Korean
 - Portuguese
 - Slovak


Overview of changes in Hitori 3.37.1
====================================

* Translation updates:
 - Chinese (China)
 - Croatian
 - Dutch
 - Finnish
 - French
 - German
 - Japanese
 - Persian
 - Portuguese (Brazil)
 - Turkish


Overview of changes in Hitori 3.37.0
====================================

* Bugs fixed:
 - #15 In help "Paint" does not add color. "Highlight" does
 - !26 Add F10 accelerator to primary menu

* Translation updates:
 - Basque
 - Catalan
 - Czech
 - Friulian
 - Galician
 - Indonesian
 - Kazakh
 - Lithuanian
 - Romanian
 - Serbian
 - Slovenian
 - Spanish
 - Swedish
 - Ukrainian


Overview of changes in Hitori 3.36.0
====================================

* No changes, version bump only


Overview of changes in Hitori 3.35.0
====================================

* Bugs fixed:
 - !24 snap: Update yaml to use GNOME extension
 - !25 window: Allow reaching smaller sizes

* Translation updates:
 - Chinese (Taiwan)
 - Danish
 - Italian
 - Malay
 - Persian
 - Serbian
 - Slovak


Overview of changes in Hitori 3.34.0
====================================

* Translation updates:
 - French
 - Galician
 - Korean
 - Polish
 - Turkish


Overview of changes in Hitori 3.33.0
====================================

* Remember window size and position (#3, #4)

* Support localised (non-Arabic) digits on the game board (#13)

* Add keyboard shortcuts dialogue and improve keyboard shortcuts and mnemonics (!15, !21, !22)

* Bugs fixed:
 - #3 [BZ#732788] Should better handle maximization
 - #4 [BZ#735330] Remember window size/position
 - #13 Support localised digits on game board
 - !5 Rember window position/size and expand the drawing area
 - !7 Gitlab CI: setup flatpak nightlies
 - !15 menu: Add mnemonics for board size options
 - !21 shortcuts: fix Ctrl+N and add Ctrl+Q and Ctrl+W as quit actions
 - !22 Add Keyboard Shortcuts dialog
 - !23 generator: Rework random number seeding to not use deprecated functions

* Translation updates:
 - Basque
 - Catalan
 - Croatian
 - Czech
 - Danish
 - Dutch
 - English (United Kingdom)
 - Finnish
 - Friulian
 - German
 - Greek, Modern (1453-)
 - Hungarian
 - Indonesian
 - Lithuanian
 - Portuguese (Brazil)
 - Romanian
 - Russian
 - Slovenian
 - Spanish
 - Swedish


Overview of changes in Hitori 3.31.92
=====================================

* Add high-resolution icon. (#6)

* Bugs fixed:
 - #6 [BZ#779630] Hitori is missing high resolution icon
 - !16 Update help manual
 - !17 help: Add missing LINGUAS
 - !19 flatpak: Hitori now only builds with Meson

* Translation updates:
 - Dutch
 - French
 - German
 - Italian
 - Latvian
 - Lithuanian
 - Portuguese (Brazil)
 - Serbian
 - Slovenian


Overview of changes in Hitori 3.31.0
====================================

* Migrated to Meson. (#10)

* Bugs fixed:
 - #9 Retire app menu
 - #10 Migrate to Meson
 - !4 Use G_DECLARE_FINAL_TYPE() to declare type
 - !8 snap: Add snap build configuration
 - !10 docs: Port README to Markdown
 - !11 docs: Reformat NEWS to be valid Markdown

* Translation updates:
 - Catalan
 - Chinese (Taiwan)
 - Croatian
 - Czech
 - Danish
 - Finnish
 - French
 - Friulian
 - Galician
 - Greek, Modern (1453-)
 - Hungarian
 - Indonesian
 - Polish
 - Romanian
 - Slovenian
 - Spanish
 - Swedish
 - Turkish


Overview of changes in Hitori 3.22.4
====================================

* Translations:
 - bg (Alexander Shopov)
 -  ca (Jordi Mas)
 - fa (Arash Mousavi)
 - fr (Alain Lojewski)
 - ko (Junyoul Lim)
 - ml (Ani Peter)
 - nl (Nathan Follens)
 - pl (Piotr Drąg)
 - tr (Muhammet Kara)


Overview of changes in Hitori 3.22.3
====================================

* Minor rendering improvements (bug #732776)
* Add flatpak manifests for nightly builds
* Drop use of deprecated GTK+ API (no dependency change)
* Translations:
 - be (Yuras Shumovich)
 - ca (Jordi Mas)
 - el (Tom Tryfonidis)
 - gl (Fran Dieguez)
 - lv (Rūdolfs Mazurs)
 - ru (Yuri Myasoedov)
 - uk (Daniel Korostil)


Overview of changes in Hitori 3.22.2
====================================

* Add more build-time checks (this adds an optional build-time dependency on desktop-file-validate)
* Translations:
 - da (Joe Hansen)
 - eu (Inaki Larranaga Murgoitio)
 - gl (Fran Dieguez)
 - nb (Kjartan Maraas)
 - sl (Matej Urbančič)
 - sr (Мирослав Николић)
 - zh_TW (Chao-Hsiung Liao)


Overview of changes in Hitori 3.22.1
====================================

* Port from intltool to gettext (this drops the intltool dependency)
* Add various build-time checks (this adds an optional build-time dependency on xmllint)
* Translations:
 - cs (Marek Černocký)
 - da (scootergrisen)
 - de (Mario Blättermann)
 - es (Daniel Mustieles)
 - fi (Jiri Grönroos)
 - fr (Alexandre Franke)
 - fur (Fabio Tomat)
 - hu (Balázs Meskó)
 - id (Kukuh Syafaat)
 - it (Gianvito Cavasoli)
 - lt (Aurimas Černius)
 - pl (Piotr Drąg)
 - pt (Tiago Santos)
 - pt_BR (Rafael Fontenelle)
 - sk (Dušan Kazik)
 - sv (Anders Jonsson)
 - zh_CN (liushuyu, Mandy Wang)


Overview of changes in Hitori 3.22.0
====================================

* Various AppData fixes
* Translations:
 - fa (Arash Mousavi)
 - fur (Fabio Tomat)
 - oc (Cédric Valmary)
 - pl (Piotr Drąg)
 - pt (Sérgio Cardeira)
 - sv (Anders Jonsson)


Overview of changes in Hitori 3.20.0
====================================

* Various AppData fixes
* Fix a GTK+ warning about styling with newer GTK+ versions
* Translations:
 - bg (Alexander Shopov)
 - de (Mario Blättermann)
 - hu (Gabor Kelemen)
 - lt (Aurimas Černius)
 - oc (Cédric Valmary)


Overview of changes in Hitori 3.19.1
====================================

* Rename icon, desktop and appdata files to use ‘org.gnome.Hitori’ prefix
* Remove dependency on gnome-common in favour of autoconf-archive (or m4-common)


Overview of changes in Hitori 3.16.1
====================================

* Updated symbolic icon


Overview of changes in Hitori 3.16.0
====================================

* Port to GResource for UI and CSS
* Minor menu tweaks
* Translations:
 - bs (Samir Ribic)
 - da (Joe Hansen)
 - fi (Jiri Grönroos)
 - fur (Fabio Tomat)
 - gl (Fran Dieguez)
 - it (Milo Casagrande)
 - ko (Changwoo Ryu)
 - lt (Aurimas Černius)
 - lv (Rūdofls Mazurs)
 - pt_BR (Enrico Nicoletto)
 - sr (Мирослав Николић)
 - tr (Muhammet Kara)
 - uk (Daniel Korostil)


Overview of changes in Hitori 3.14.3
====================================

* Translations:
 - cs (Marek Černocký)
 - el (Efstathios Iosifidis)
 - en_GB (Philip Withnall)
 - eo (Daniel PUENTES, Kristjan SCHMIDT)
 - es (Daniel Mustieles)
 - eu (Iñaki Larrañaga Murgoitio)
 - fr (Gérard Baylard, Erwan GEORGET)
 - he (Yosef Or Boczko)
 - hu (Balázs Úr)
 - gl (Fran Dieguez)
 - nb (Kjartan Maraas)
 - pl (Piotr Drąg, Aviary.pl)
 - ru (Ivan Komaritsyn, Yuri Myasoedov)
 - sk (Dušan Kazik)
 - sl (Matej Urbančič)
 - sv (Anders Jonsson)
 - zh_TW (Chao-Hsiung Liao)


Overview of changes in Hitori 3.14.2.1
======================================

* Revert string freeze break


Overview of changes in Hitori 3.14.2
====================================

* Translations:
 - hu (Gabor Kelemen)
 - tr (Necdet Yücel, Muhammet Kara)


Overview of changes in Hitori 3.14.1
====================================

* Translations:
 - hu (Balázs Úr)
 - it (Milo Casagrande)
 - lv (Rūdofls Mazurs)
 - nb (Kjartan Maraas)
 - ne (Pawan Chitrakar)
 - pl (Piotr Drąg)
 - sr (Мирослав Николић)
 - zh_CN (Yunqiang Su)


Overview of changes in Hitori 3.14.0.1
======================================

* autoreconf with up-to-date appstream-glib;
  fixes install location for hitori.appdata.xml


Overview of changes in Hitori 3.14.0
====================================

* Translations:
 - da (Joe Hansen)
 - de (Christian Kirbach)
 - hu (Gabor Kelemen)


Overview of changes in Hitori 3.13.92
=====================================

* Minor UI and translation updates
* Minor build system updates
* Translations:
 - as (Nilamdyuti Goswami)
 - ca (Gil Forcada)
 - cs (Marek Černocký)
 - el (Tom Tryfonidis)
 - fi (Jiri Grönroos)
 - fr (Gérard Baylard, Erwan GEORGET)
 - gl (Fran Dieguez)
 - he (Yosef Or Boczko)
 - id (Andika Triwidada)
 - ko (Changwoo Ryu)
 - nb (Kjartan Maraas)
 - pl (Piotr Drąg)
 - pt_BR (Ricardo Barbosa)
 - ru (Yuri Myasoedov)
 - sk (Dušan Kazik)
 - zh_HK (Chao-Hsiung Liao)
 - zh_TW (Chao-Hsiung Liao)


Overview of changes in Hitori 3.13.90
=====================================

* Follow guidelines for including license info in help
* Translations:
 - es (Daniel Mustieles)
 - lt (Aurimas Černius)
 - nb (Kjartan Maraas)
 - sv (Anders Jonsson)
 - uk (Daniel Korostil)


Overview of changes in Hitori 3.13.4
====================================

* Modernize UI, removing menu bar and status bar
* On game over, prompt the user to play again
* Use CSS provider to control colors used in UI
* Store board size in gsettings
* Fix a potential NULL pointer dereference
* Disable redo when making a move
* Fix two memory leaks
* Disable the game play timer after winning
* Translations:
 - ca (Jordi Mas)
 - cs (Marek Černocký)
 - el (MarMav, Tom Tryfonidis)
 - en_GB (Philip Withnall)
 - es (Daniel Mustieles)
 - gl (Fran Diéguez)
 - he (Yosef Or Boczko)
 - pl (Piotr Drąg)
 - pt_BR (Rafael Ferreira)
 - ru (Yuri Myasoedov)


Overview of changes in Hitori 0.4.3
===================================

* Translations:
 - cs (Marek Černocký)
 - el (Dimitris Spingos, Tom Tryfonidis)
 - es (Daniel Mustieles)
 - gl (Fran Dieguez)
 - id (Andika Triwidada)
 - pl (Piotr Drąg)
 - pt_BR (Rafael Ferreira, Enrico Nicoletto)
 - sl (Matej Urbančič)
 - sr (Мирослав Николић)


Overview of changes in Hitori 0.4.2
===================================

* Add an AppData file
* Translations:
 - cs (Marek Černocký)
 - en_GB (Philip Withnall)
 - es (Daniel Mustieles)
 - fi (Jiri Grönroos)
 - gl (Fran Dieguez)
 - lv (Rūdofls Mazurs)
 - pl (Piotr Drąg, Aviary.pl)
 - pt_BR (Enrico Nicoletto)
 - sl (Matej Urbančič)
 - sr (Мирослав Николић)


Overview of changes in Hitori 0.4.1
===================================

* Fix timer pausing on winning a game
* Translations:
 - cs (Marek Černocký)
 - de (Mario Blättermann)
 - es (Daniel Musteles)
 - gl (Fran Dieguez)
 - he (Yaron Shahrabani)
 - hu (Balázs Úr)
 - id (Andika Triwidada)
 - lv (Rūdofls Mazurs)
 - pt_BR (Enrico Nicoletto)
 - ru (Yuri Myasoedov)


Overview of changes in Hitori 0.4.0
===================================

* Remove implicit dependency on libm
* Fix l10n (bgo#652399)
* Rendering improvements (bgo#652684)
* Port to GtkApplication and GMenu (bgo#676601, bgo#676602)
* Use yelp-tools instead of gnome-doc-utils (Oliver Propst, bgo#683623)
* Translations:
 - de (Mario Blättermann)
 - el (Tom Tryfonidis)
 - en_GB (Philip Withnall)
 - fr (Gérard Baylard)
 - gl (Fran Dieguez)
 - id (Andika Triwidada)
 - pl (Piotr Drąg, Aviary.pl)
 - ro (Cristian Buzdugă, Master, Daniel Șerbănescu)
 - sl (Matej Urbančič)
 - sr (Мирослав Николић)


Overview of changes in Hitori 0.3.0
===================================

* Port to GTK+ 3
* Add timing support (bgo#575897)
* Improve the appearance of the game considerably
* Update the documentation and relicence it to cc-by-sa 3.0 (from GFDL 1.2)
* Translations:
 - cs (Marek Černocký)
 - da (Joe Hansen)
 - de (Mario Blättermann)
 - en_GB (Philip Withnall)
 - es (Jorge González)
 - fr (Gérard Baylard, Bruno Brouard)
 - hu (Gabor Kelemen)
 - lv (Rūdofls Mazurs)
 - pt_BR (Flamarion Jorge)
 - ru (Yuri Myasoedov)
 - sl (Andrej Žnidaršič)
 - sv (Daniel Nylander)
 - vi (Lê Trường An)


Overview of changes in Hitori 0.2.5
===================================

* Convert documentation to Mallard format
* Expand the documentation
* Use upstream gettext instead of glib-gettext
* Convert to non-recursive automake
* Make the code GSEAL safe
* Improve the board generation algorithm to allow painted cells on the board edges
* Improve some translatable strings
* Translations:
 - de (Mario Blättermann)
 - en_GB (Philip Withnall)
 - es (Jorge González)
 - sl (Matej Urbančič)


Overview of changes in Hitori 0.2.4
===================================

* Translations:
 - da (Joe Hansen)
 - es (Jorge González)
 - gl (Fran Diéguez)
 - id (Imam Musthaqim)
 - nb (Kjartan Maraas, Espen Stefansen)
 - sl (Andrej Žnidaršič)
 - zh_CN (zhang ping)


Overview of changes in Hitori 0.2.3
===================================

* Move ChangeLogs to be generated from git logs
* Fix a problem with rule 3 where it would incorrectly fail on some boards
* Translations:
 - fr (Laurent Coudeur, Bruno Brouard)
 - zh_CN (Zhang Miao)
 - hu (Tamas Nemeth)
 - es (Jorge Gonzalez)
 - pa (A S Alam)
 - gl (Fran Dieguez)
 - el (Kostas Papadimas)
 - da (Kenneth Nielsen)
 - cz (Marek Cernocky)


Overview of changes in Hitori 0.2.2
===================================

* Fixed how hints are drawn
* Cleaned up some of the code
* Fixed markup validation in the documentation
* Migrated bug handling to GNOME Bugzilla (http://bugzilla.gnome.org/enter_bug.cgi?product=hitori)
* Migrated website to live.gnome.org (http://live.gnome.org/Hitori)
* Translations:
 - de (Mario Blättermann)
 - en_GB (Philip Withnall)
 - es (Jorge Gonzalez)
 - pt_BR (Og Maciel)
 - sv (Daniel Nylander)


Overview of changes in Hitori 0.2.1
===================================

* Fixed some build problems
* Fixed documentation licensing


Overview of changes in Hitori 0.2
=================================

* Added --seed option
* Added dynamic board sizing
* Improvements to rendering, including Tangoisation and the use of GtkStyle
* Relicensed to GPLv3+
* Added documentation
* Improved random number seeding/generation
* Halved memory footprint and improved algorithms
* Added icon by Jakub Szypulka
* Added desktop file


Overview of changes in Hitori 0.1
=================================

* Project created
* Board generation support
* Rule-checking
* Hints
* Undo/Redo support
